post
https://api.superwise.ai/v1/guardrails/verify-dataset-schema/
Verify that a dataset has the required schema for guardrail observability.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Verifies that a dataset has the schema required for guardrail observability, and returns true or false.
When to use it
Use it before you attach an existing dataset to a guardrail with Update a guardrail.
Required parameters
dataset_id(path): the ID of the dataset.
Response
A successful call returns 200 OK with true or false.
Related: Update a guardrail, Create a dataset for a guardrail, Verify a dataset schema for an agent
404Not Found
500Internal Server Error